interfaces Library: KTextEditor::ViewStatusMsgDCOPInterface Class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::ViewStatusMsgDCOPInterface Class Reference

This is the main interface to the ViewStatusMsgInterface of KTextEdit. DCOP interface to ViewStatusMsgInterface. More...

`#include <viewstatusmsgdcopinterface.h>`

Inheritance diagram for KTextEditor::ViewStatusMsgDCOPInterface:

[legend]
Collaboration diagram for KTextEditor::ViewStatusMsgDCOPInterface:

[legend]
List of all members.

## DCOP Member Functions
uint | viewStatusMsgInterfaceNumber ()
void | viewStatusMsg (class QString msg)
## Public Member Functions
| ViewStatusMsgDCOPInterface (ViewStatusMsgInterface *Parent, const char *name)
virtual | ~ViewStatusMsgDCOPInterface ()

## Detailed Description

This is the main interface to the ViewStatusMsgInterface of KTextEdit. DCOP interface to ViewStatusMsgInterface.

This will provide a consistant dcop interface to all KDE applications that use it.

Author:
  Ian Reinhart Geiser <geiseri@kde.org>

Definition at line 18 of file viewstatusmsgdcopinterface.h.

## Constructor & Destructor Documentation

ViewStatusMsgDCOPInterface::ViewStatusMsgDCOPInterface | ( | ViewStatusMsgInterface * | Parent,
|  | const char * | name
| ) |

  | Construct a new interface object for the text editor. Parameters:
  | Parent | the parent ViewStatusMsgInterface object that will provide us with the functions for the interface.
  | name | the QObject's name
Definition at line 9 of file viewstatusmsgdcopinterface.cpp.

ViewStatusMsgDCOPInterface::~ViewStatusMsgDCOPInterface | ( |  | ) | `[virtual]`

| Destructor Cleans up the object. Definition at line 15 of file viewstatusmsgdcopinterface.cpp.

The documentation for this class was generated from the following files:

- viewstatusmsgdcopinterface.h
- viewstatusmsgdcopinterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:19 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003